hu.akarnokd.rxjava2.async

## Enum AnyValue

- java.lang.Object
- - java.lang.Enum<AnyValue>
  - - hu.akarnokd.rxjava2.async.AnyValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AnyValue>

    public enum AnyValue
    extends java.lang.Enum<AnyValue>

Placeholder instance when one has to return something (and used to return `null` in 1.x).

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE` An arbitrary object value.

### Method Summary

All Methods Static Methods Concrete Methods
`static AnyValue` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AnyValue[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSTANCE

    public static final AnyValue INSTANCE

An arbitrary object value.

### Method Detail

#### values

    public static AnyValue[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AnyValue c : AnyValue.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AnyValue valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null